-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 10 Sep 2006, at 20:09, Martin Aspeli wrote:
Just out of curiosity, which dependencies does Plone 3.0 have that require Zope 2.10? Or was it some papal edict to use 2.10?

2.10 really is lovely, because Zope 3.3 is lovely. :)

The local components story is much, much better. Look at Hanno's GSLocalAddOns package (which really should move to CMFCore once CMFCore is happy to require 2.10+), or other examples. Basically, it solves a lot of the problems we had with 2.9 and earlier in that it was hard to make things installable into a CMF site - a global utility or adapter was an either-or proposition for all sites in a Zope instance.

Being able to use local adapters (and local event handlers) is also very useful.

Plus, the whole story around formlib, zope.contentprovider, zope.viewlet is improved, (these three tools are great - if you haven't played with them, go read the doctests, or Rocky's formlib tutorial on plone.org) and Five has caught up to these to make them accessible to us.

Personally, I'm neutral on moving the requirement for CMF 2.1 to Zope 2.10. Obviously we're not using any of those new features yet, but it would be nice to enable their use by mandating 2.10. CMF 2.2 will move the bar higher I'd wager.

I'd love to hear some kind of yay/nay for making Zope 2.10 the required platform for CMF 2.1 from some other people like Tres, Yvo, Florent etc.

jens


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (Darwin)

iD8DBQFFB7HdRAx5nvEhZLIRAqh0AJoDrhahQK1Q+vCqpxS0j8YICDLCoQCbBdlO
D5pbM5yW6tAzr5bmqNt7mco=
=aXQo
-----END PGP SIGNATURE-----
_______________________________________________
Zope-CMF maillist  -  Zope-CMF@lists.zope.org
http://mail.zope.org/mailman/listinfo/zope-cmf

See http://collector.zope.org/CMF for bug reports and feature requests

Reply via email to